summaryrefslogtreecommitdiff
path: root/bin/git-dotfiles-rebase
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2018-05-12 12:51:15 -0700
committerSean Whitton <spwhitton@spwhitton.name>2018-05-12 12:51:33 -0700
commit7e516ee60fdee8ac6b2111af7226376f8040f327 (patch)
tree417bd893d0a18d2aa60c33f2b2f2aadc6480fe36 /bin/git-dotfiles-rebase
parent27f8403f80dff1335d51d1b2a09667f40e1e9c5d (diff)
downloaddotfiles-7e516ee60fdee8ac6b2111af7226376f8040f327.tar.gz
git-dotfiles-dummy-master-commit
Diffstat (limited to 'bin/git-dotfiles-rebase')
-rwxr-xr-xbin/git-dotfiles-rebase6
1 files changed, 4 insertions, 2 deletions
diff --git a/bin/git-dotfiles-rebase b/bin/git-dotfiles-rebase
index 326de18a..3ed7da09 100755
--- a/bin/git-dotfiles-rebase
+++ b/bin/git-dotfiles-rebase
@@ -7,5 +7,7 @@ set -e
cd $HOME/src/dotfiles
git checkout $(hostname)
git rebase master
-git push origin master +$(hostname)
-# TODO make empty PGP-signed commit if that push fails due to pre-push hook
+if ! git push origin master +$(hostname); then
+ git dotfiles-dummy-master-commit
+ git push origin master +$(hostname)
+fi